%define	name	widelands
%define	version	b5
%define	release	1mdk
%define	Summary	Settlers II clone

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://widelands.sourceforge.net
Source0:	%{name}-%{version}-source.tar.bz2
Source1:	%{name}-%{version}-binary.tar.bz2
#Source2:	%{name}-icons.tar.bz2
License:	GPL
Group:		Games/Strategy
Summary:	%{Summary}
BuildRequires:	SDL-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Widelands is inspired by Bluebyte's Settlers II and will someday be the
logical extension of this game although you do not need the original
game. Play it on Win/Linux against human & AI opponents.

%prep
%setup -q -n %{name} -a1
mv %{name} %{name}.data

%build
%make ADD_CFLAGS="$RPM_OPT_FLAGS -finline-functions -ffast-math -funroll-loops -funroll-all-loops -fexpensive-optimizations -O3 -fno-omit-frame-pointer"

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__install} -m755 %{name} -D $RPM_BUILD_ROOT%{_gamesbindir}/%{name}.real
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_gamesbindir}/%{name}

cd %{_gamesdatadir}/%{name}
#!/bin/sh
%{_gamesbindir}/%{name}.real
EOF

%{__install} -d $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
%{__cp} -a %{name}.data/*/ $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%strategy_section.png.png \
		needs="x11" \
		section="Amusement/Strategy" \
		title="Widelands"\
		longtitle="%{Summary}"
EOF

#%{__install} -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
#%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-16x16.png > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
#%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-32x32.png > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
#%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-48x48.png > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%{_gamesdatadir}/%{name}
#%{_iconsdir}/%{name}.png
#%{_liconsdir}/%{name}.png
#%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%defattr(755,root,root,755)
%{_gamesbindir}/%{name}*

%changelog
* Sun Sep 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> b5-1mdk
- initial mdk release
